<?php
if(!defined('sugarEntry') || !sugarEntry) die('Not A Valid Entry Point');

/*********************************************************************************
 * SugarCRM Community Edition is a customer relationship management program developed by
 * SugarCRM, Inc. Copyright (C) 2004-2012 SugarCRM Inc.
 * 
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Affero General Public License version 3 as published by the
 * Free Software Foundation with the addition of the following permission added
 * to Section 15 as permitted in Section 7(a): FOR ANY PART OF THE COVERED WORK
 * IN WHICH THE COPYRIGHT IS OWNED BY SUGARCRM, SUGARCRM DISCLAIMS THE WARRANTY
 * OF NON INFRINGEMENT OF THIRD PARTY RIGHTS.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU Affero General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU Affero General Public License along with
 * this program; if not, see http://www.gnu.org/licenses or write to the Free
 * Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
 * 02110-1301 USA.
 * 
 * You can contact SugarCRM, Inc. headquarters at 10050 North Wolfe Road,
 * SW2-130, Cupertino, CA 95014, USA. or at email address contact@sugarcrm.com.
 * 
 * The interactive user interfaces in modified source and object code versions
 * of this program must display Appropriate Legal Notices, as required under
 * Section 5 of the GNU Affero General Public License version 3.
 * 
 * In accordance with Section 7(b) of the GNU Affero General Public License version 3,
 * these Appropriate Legal Notices must retain the display of the "Powered by
 * SugarCRM" logo. If the display of the logo is not reasonably feasible for
 * technical reasons, the Appropriate Legal Notices must display the words
 * "Powered by SugarCRM".
 ********************************************************************************/


class contact_Group_task_tasksViewEdit extends ViewEdit
{
 	public function __construct()
 	{
 		//parent::ViewEdit();
 		$this->useForSubpanel = true;
 		$this->useModuleQuickCreateTemplate = true;
 	}
function display(){
//die;
global $app_list_strings;

$app_list_strings['retun_date_list'] = retun_date_list();
parent::display();
$str ='<script>';
$str .="document.getElementById('SAVE_HEADER').onclick =function(){
var e = document.getElementById('after_offer_date');
var f= document.getElementById('before_prospose_date');
var g= document.getElementById('after_list_date');
var h= document.getElementById('before_expire_date');
var i= document.getElementById('after_order_date');
var j= document.getElementById('after_prospose_date');
var val_array = 0;
//alert(e.options[e.selectedIndex].value);

if(e.options[e.selectedIndex].value != 0){

val_array++;;
}
if(f.options[f.selectedIndex].value != 0){

val_array++;;
}
if(g.options[g.selectedIndex].value != 0){

val_array++;;
}
if(h.options[h.selectedIndex].value != 0){

val_array++;;
}
if(i.options[i.selectedIndex].value != 0){

val_array++;;
}
if(j.options[j.selectedIndex].value != 0){

val_array++;;
}
if(val_array < 1)
{
alert('Please fill at least one field out of 4 Date Fields');
return false;
}
else if(val_array.length >= 2){
alert('Only One Field is Allowed out of 4 Date Fields. Please check!');
return false;
}
var _form = document.getElementById('EditView'); _form.action.value='Save'; if(check_form('EditView'))SUGAR.ajaxUI.submitForm(_form);return false;
//return true;
}";
echo $str .='</script>';
}

}